# Asterisk Project : Asterisk 13 AGICommand_gosub

Created by wikibot on Aug 08, 2014

# GOSUB

### Synopsis

Cause the channel to execute the specified dialplan subroutine.

### Description

Cause the channel to execute the specified dialplan subroutine, returning to the dialplan with execution of a Return().

### Syntax

    GOSUB CONTEXT EXTENSION PRIORITY OPTIONAL-ARGUMENT

##### Arguments

- `context`
- `extension`
- `priority`
- `optional-argument`

### See Also

- Asterisk 13 Application_GoSub

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538